<?php header('Content-Type: text/html; charset=windows-1251'); ?>
<html><head><meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<title>viewing card files</title>
</head>
<body background="../../../../d~e~f/bkg.gif">
<TABLE width="100%" height=100% >
<TBODY>
<TR>
<TD style="BACKGROUND: silver" height=100% vAlign=center width="90%">
<?php
$ifi="TAGS,OBJECTS_HELP.htm";
$posl="";                         // 
$l = file($ifi);                  
$kkk=0;
foreach ($l as $li => $lin)  
{
//$lin=str_replace('<A','<a',$lin);
if (strstr($lin,"<a name=") or strstr($lin,"<A name=") or  strpos($lin,"karp(")>0)
{$posl=$posl.",".$li;$kkk++;}}
if (isset($_REQUEST['pass']))   //  
{$pass=trim($_REQUEST['pass']);
 $pass=md5($pass,false);
}
else
{$pass="";}
$ok=false;
list($pas1, $pas2) = explode("/pages/",$_SERVER['REQUEST_URI']); 
list($pas1, $pas2) = explode(".",$pas2); 
$pas1=str_replace('%5E','^',$pas1);			//
if (strpos(getcwd ( ),"contents")>0)  //
{$fpas=getcwd ( )."/p.txt";
}
else
{$fpas=getcwd ( )."/".$pas1."/p.txt";
}
if (file_exists($fpas))         //
{$l = file($fpas); 			    //
 foreach ($l as $li => $lin)    //
 {$pass1=$lin;break;}
 if ($pass!=$pass1)
 {echo '<br><br>';
echo '<form id=feg  method="POST" enctype="multipart/form-data" action="'.$_SERVER['REQUEST_URI'].'" >';
echo '<center style="width:100%"><b style="color:red">The clicked page is password protected, enter the password to access</b><br><br>';
echo '<input type="password" name="pass" size="25" value="">';
echo '<input type="submit" value="submit" name="pas" style="width:80px;background:transparent"> &nbsp;&nbsp;&nbsp;';
echo '<input type="hidden" value="<?php echo $fff; ?>" name="fff">';
 if ($pass!="")
{ echo "<br><br><center><b style='color:red'>ENTER CORRECT PASSWORD!</b></center> ";} 
echo '<input type="hidden" value="<?php echo $pw; ?>" name="pw"></form>';
die;
}
else
{$ok=true;}
}
else
{$ok=true;}
if ($ok)
{echo'<IFRAME id=ifrpp height="100%" width="100%" scrolling=yes  border=1 src="TAGS,OBJECTS_HELP-card-file.php?p=TAGS,OBJECTS_HELP.htm&be=0&td="></IFRAME></TD></TR>';
echo '<TR><TD align=middle>';
}
?>
<b>CARD FILE</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<IMG border=1 onclick=mov(1) alt="To begin" src="../../../../d~e~f/pp1.gif" width=19 height=19>&nbsp;&nbsp;&nbsp; 
<IMG border=1 onclick=mov(3) alt="back" src="../../../../d~e~f/pp2.gif" width=19 height=19>&nbsp;&nbsp;&nbsp; 
<IMG border=1 onclick=mov(2)  alt="forward" src="../../../../d~e~f/pp3.gif" width=19 height=19>&nbsp;&nbsp;&nbsp; 
<IMG border=1 onclick=mov(4) alt="Tp end" src="../../../../d~e~f/pp4.gif" width=19 height=19>&nbsp;&nbsp;&nbsp; 
<?php
echo "<b style='height:23' id=be>1</b><b style='height:23'>/</b><b id=en style='height:23'>".$kkk;
echo "<b id=ifi style='display:none'>".$ifi.'</b>';
?>
</TD></TR></TBODY></TABLE>
</body>
<script type="text/javascript">
var mg="<?php  echo substr($posl,1); ?>"
mmg=mg.split(",")
itek=0;
pz=document.all["ifrpp"].src
function mov(p)
{if (p==1)  // 
{document.all["ifrpp"].src=pz.replace("be=0","be="+mmg[0])
document.all["be"].innerHTML=1
itek=0;
}
else if (p==2)  //
{itek=itek+1
if (itek>mmg.length-1)
{itek=0}
document.all["ifrpp"].src=pz.replace("be=0","be="+mmg[itek])
document.all["be"].innerHTML=itek+1
}
else if (p==3)  //
{itek=itek-1
if (itek<0)
{itek=mmg.length-1}
document.all["ifrpp"].src=pz.replace("be=0","be="+mmg[itek])
document.all["be"].innerHTML=itek+1
}
else if (p==4)  //
{document.all["ifrpp"].src=pz.replace("be=0","be="+mmg[mmg.length-1])
document.all["be"].innerHTML=mmg.length
itek=mmg.length-1;
}}


function q1(t,p)
{p.href=t+"?vis="+mg+"&scr=0"+"&td="+dp
p.click()
}
devdate=new Date();
var y="";
//
y=devdate.getFullYear()
var m="";
//
m=devdate.getMonth()+1
var c="";
//
c=devdate.getDate();
var d="";
//
d=devdate.getDay();
var dp=""
dp=y+"-"+m+"-"+c+"-"+d
dp1=y+"<br>"+m+"<br>"+c

window.onload=function ()
{ pz=document.all["ifrpp"].src
 pz=pz.replace("td=","td="+dp)
}
</script>
</html>
